org.springframework.cloud.dataflow.rest.support.jackson

## Class ExecutionContextDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<org.springframework.batch.item.ExecutionContext>
  - - org.springframework.cloud.dataflow.rest.support.jackson.ExecutionContextDeserializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.deser.NullValueProvider

      public class ExecutionContextDeserializer
      extends com.fasterxml.jackson.databind.JsonDeserializer<org.springframework.batch.item.ExecutionContext>

  Jackson Deserializer for `ExecutionContext` de-serialization. The deserializer applies the following rule: It first tests for numeric values:
  1. If value is an integral number and fits into an int, then add it as an int
  2. If value does not fit into an int add it as a long
  3. If value is a floating point number, then add it as a double
  4. If value is a boolean, then add it as a string
  5. If value is a text, then add it as a string
  6. Else `JsonNode.toString()` is add as a String (Including for Arrays)
  Since:
    2.0
  Author:
    Gunnar Hillert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionContextDeserializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.batch.item.ExecutionContext` | `deserialize(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext deserializationContext)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserializeWithType, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionContextDeserializer

          public ExecutionContextDeserializer()

  - ### Method Detail

    - #### deserialize

          public org.springframework.batch.item.ExecutionContext deserialize(com.fasterxml.jackson.core.JsonParser jsonParser,
                                                                             com.fasterxml.jackson.databind.DeserializationContext deserializationContext)
                                                                      throws IOException,
                                                                             com.fasterxml.jackson.core.JsonProcessingException

      Specified by:
        `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<org.springframework.batch.item.ExecutionContext>`
      Throws:
        `IOException`
        `com.fasterxml.jackson.core.JsonProcessingException`

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.